Void-ACH

API Explorer
https://payment.ipospays.tech/api/v3/iposTransact
POST

Submits a request to void an existing ACH transaction using its unique transaction identifier.

Header Parameters

token*string

Authentication token generated using the API Key and Secret Key. Required for all API requests.

Request Body

application/json

Response Body

application/json

application/json

curl -X POST "https://example.com" \  -H "token: your-access-token-here" \  -H "Content-Type: application/json" \  -d '{    "merchantAuthentication": {      "merchantId": "567025324141",      "transactionReferenceId": "TXN1718000000123"    },    "preferences": {      "eReceipt": false,      "customerEmail": "customer@example.com",      "customerMobile": "+14242424243"    },    "transactionRequest": {      "transactionType": 11,      "achTransactionId": "ach_tx_88776655",      "amount": " "    }  }'
{
  "iposhpresponse": {
    "responseCode": "200",
    "responseMessage": "success",
    "errResponseCode": "",
    "errResponseMessage": "",
    "transactionReferenceId": "TXN1718000000123",
    "transactionType": "11",
    "transactionId": "TXID-12345678",
    "amount": "1500",
    "responseApprovalCode": "APP001122",
    "rrn": "219313501821",
    "transactionNumber": "4321",
    "batchNumber": "123"
  }
}
{
  "errors": [
    {
      "field": "cardNumber",
      "message": "Invalid card number format."
    }
  ]
}